## org.eclipse.emf.spi.cdo
Interface InternalCDOTransaction

All Superinterfaces:
  CDOCommonView, CDOIDProvider, CDOTransaction, CDOUserTransaction, CDOView, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection, org.eclipse.net4j.util.event.INotifier, InternalCDOView, org.eclipse.net4j.util.options.IOptionsContainer

    public interface InternalCDOTransaction

extends CDOTransaction, InternalCDOView

Since:
  2.0

Nested Class Summary
`static interface` `InternalCDOTransaction.InternalCDOCommitContext` Provides a context for a commit operation.

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransaction
`CDOTransaction.Options`

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`CDOCommonView.Type`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`CDOCommonView.Type`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`UNSPECIFIED_DATE`

Fields inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`UNSPECIFIED_DATE`

Method Summary
`InternalCDOTransaction.InternalCDOCommitContext` `createCommitContext()`
`void` `detachObject(InternalCDOObject object)`
`CDOIDTemp` `getNextTemporaryID()`
`CDOResourceFolder` `getOrCreateResourceFolder(java.util.List<java.lang.String> names)`
`CDOTransactionStrategy` `getTransactionStrategy()`
`void` `handleConflicts(java.util.Set<CDOObject> conflicts)`
`void` `handleRollback(CDOSavepoint savepoint)`
`CDOSavepoint` `handleSetSavepoint()`
`void` `registerDirty(InternalCDOObject object, CDOFeatureDelta featureDelta)`
`void` `registerFeatureDelta(InternalCDOObject object, CDOFeatureDelta featureDelta)`
`void` `registerNew(InternalCDOObject object)`
`void` `registerRevisionDelta(CDORevisionDelta revisionDelta)`
`void` `setConflict(InternalCDOObject object)`
`void` `setTransactionStrategy(CDOTransactionStrategy transactionStrategy)`

Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransaction
`addHandler, createResource, getConflicts, getDetachedObjects, getDirtyObjects, getHandlers, getLastCommitTime, getNewObjects, getNewResources, getOrCreateResource, getRevisionDeltas, hasConflict, isDirty, options, removeHandler, resolveConflicts`

Methods inherited from interface org.eclipse.emf.cdo.view.CDOView
`createQuery, getLock, getObject, getObject, getObject, getResource, getResource, getResourceNode, getResourceSet, getRootResource, getURIHandler, hasResource, isObjectRegistered, lockObjects, queryResources, queryResourcesAsync, reload, unlockObjects, unlockObjects`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`getTimeStamp, getViewID, getViewType`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserTransaction
`commit, commit, getLastSavepoint, rollback, rollback, setSavepoint`

Methods inherited from interface org.eclipse.emf.spi.cdo.InternalCDOView

`attachResource, convertIDToObject, convertObjectToID, convertObjectToID, deregisterObject, getCDOIDAndVersion, getFeatureAnalyzer, getObjectsArray, getResourceNodeID, getRevision, getSession, getStateLock, getStore, getViewSet, handleAddAdapter, handleChangeSubscription, handleInvalidation, handleInvalidationWithoutNotification, handleRemoveAdapter, hasSubscription, isObjectLocked, registerObject, registerProxyResource, remapObject, removeObject, setFeatureAnalyzer, setSession, setViewID, setViewSet, subscribe, toTransaction, unsubscribe`

Methods inherited from interface org.eclipse.emf.cdo.view.CDOView
`createQuery, getLock, getObject, getObject, getObject, getResource, getResource, getResourceNode, getResourceSet, getRootResource, getURIHandler, hasResource, isObjectRegistered, lockObjects, queryResources, queryResourcesAsync, reload, unlockObjects, unlockObjects`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`getTimeStamp, getViewID, getViewType`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIDProvider
`provideCDOID`

Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection
`getLifecycleState, isActive`

Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`activate, deactivate`

Method Detail

### createCommitContext

    InternalCDOTransaction.InternalCDOCommitContext createCommitContext()

### handleRollback

    void handleRollback(CDOSavepoint savepoint)

### handleSetSavepoint

    CDOSavepoint handleSetSavepoint()

### getTransactionStrategy

    CDOTransactionStrategy getTransactionStrategy()

### setTransactionStrategy

    void setTransactionStrategy(CDOTransactionStrategy transactionStrategy)

### getOrCreateResourceFolder

    CDOResourceFolder getOrCreateResourceFolder(java.util.List<java.lang.String> names)

  Returns:
    never `null`;

### detachObject

    void detachObject(InternalCDOObject object)

### getNextTemporaryID

    CDOIDTemp getNextTemporaryID()

### registerNew

    void registerNew(InternalCDOObject object)

### registerDirty

    void registerDirty(InternalCDOObject object,
                       CDOFeatureDelta featureDelta)

### registerFeatureDelta

    void registerFeatureDelta(InternalCDOObject object,
                              CDOFeatureDelta featureDelta)

### registerRevisionDelta

    void registerRevisionDelta(CDORevisionDelta revisionDelta)

### setConflict

    void setConflict(InternalCDOObject object)

### handleConflicts

    void handleConflicts(java.util.Set<CDOObject> conflicts)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.